precision mediump float;
varying highp vec2 vTextureCoord;

uniform sampler2D sTexture;

uniform float strength;

void main() {
    vec2 uv = vTextureCoord;
    if (uv.x > 0.5) {
        uv.x = 1.0 - uv.x;
    }
    gl_FragColor = texture2D(sTexture, fract(uv));
}