precision mediump float;
varying highp vec2 vTextureCoord;

uniform sampler2D sTexture;

uniform float strength;

void main() {
    vec2 uv = vTextureCoord;
    if (uv.y < 0.5) {
        uv.y = 1.0 - uv.y;
    }
    gl_FragColor = texture2D(sTexture, fract(uv));
}
